elvis-tiny_1.4-24_amd64.deb


Advertisement

Description

elvis-tiny - Tiny vi compatible editor for the base system

Property Value
Distribution Ubuntu 18.04 LTS (Bionic Beaver)
Repository Ubuntu Universe amd64
Package name elvis-tiny
Package version 1.4
Package release 24
Package architecture amd64
Package type deb
Installed size 125 B
Download size 49.01 KB
Official Mirror archive.ubuntu.com
Elvis-tiny is based on a 1991 Minix version of elvis. You should install
another vi-editor (such as "vim", "elvis" or "nvi") if you want a vi
editor that is full featured and has no bugs.

Alternatives

Package Version Architecture Repository
elvis-tiny_1.4-24_i386.deb 1.4 i386 Ubuntu Universe
elvis-tiny - - -

Requires

Name Value
libc6 >= 2.14
libtinfo5 >= 6

Download

Type URL
Binary Package elvis-tiny_1.4-24_amd64.deb
Source Package elvis-tiny

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install elvis-tiny deb package:
    # sudo apt-get install elvis-tiny

Files

Path
/bin/elvis-tiny
/usr/share/doc/elvis-tiny/KNOWN.BUGS
/usr/share/doc/elvis-tiny/changelog.Debian.gz
/usr/share/doc/elvis-tiny/copyright
/usr/share/lintian/overrides/elvis-tiny
/usr/share/man/man1/elvis-tiny.1.gz

Changelog

2016-11-11 - Miquel van Smoorenburg <miquels@debian.org>
elvis-tiny (1.4-24) unstable; urgency=low
* remove bin/vi wrapper, incompatible with / + /usr merge (closes: #540928,#813857)
* Depends instead of Pre-depends for ${shlibs:Depends} (closes: #827006)
2012-06-30 - Miquel van Smoorenburg <miquels@debian.org>
elvis-tiny (1.4-23) unstable; urgency=low
* convert to new source format
* convert to debhelper
* fix some more gcc warnings
* link with -ltinfo instead of -lncurses
* change maintainer email address to debian email address
2008-04-30 - Miquel van Smoorenburg <miquels@cistron.nl>
elvis-tiny (1.4-22) unstable; urgency=low
* make window-resizing work (closes: #168231)
* use sigsetjmp/siglongjmp so that jumping out of a
signal handler sort of works (it's a bad idea anyway) (closes: #161734)
2008-04-19 - Miquel van Smoorenburg <miquels@cistron.nl>
elvis-tiny (1.4-21) unstable; urgency=low
* Honour DEB_BUILD_OPTIONS debug and nostrip (closes: #436816)
2005-11-26 - Miquel van Smoorenburg <miquels@cistron.nl>
elvis-tiny (1.4-20) unstable; urgency=low
* Fix overflow in command line processing (closes: #203258).
Note that elvis-tiny is riddled with strcpy's and fixing all of them
would be a major undertaking akin to a rewrite.
* Disable CTRL-Z as elvis-tiny has no suspend support
(closes: #136862, #206518)
2005-10-05 - Andrew Pollock <apollock@debian.org>
elvis-tiny (1.4-19) unstable; urgency=low
* QA Group upload orphaning this package
* debian/rules: invoke dpkg-gencontrol with -isp
* debian/control: rephrase package description synopsis
2005-09-11 - Axel Beckert <abe@deuxchevaux.org>
elvis-tiny (1.4-18.1) unstable; urgency=low
* 0-day NMU from the QA meeting.
* Correcting conflicting types for 'malloc' (closes: #258640)
* Replacing "gcc" with "$(CC)" for being able to cross-compile
(closes: #285295)
* Removing obsolete code for /usr/doc support (closes: #254913)
2002-01-23 - Miquel van Smoorenburg <miquels@cistron.nl>
elvis-tiny (1.4-18) unstable; urgency=low
* Include string.h in tmp.c to solve prototype problem on
64-bit platforms (closes: #124028)
* tmp.c: fix problem where a TAB expanded exactly at the right margin
and screen drawing was wrong (closes: #79385)
* Set LC_ALL=POSIX in debian/rules
2001-11-28 - Miquel van Smoorenburg <miquels@cistron.nl>
elvis-tiny (1.4-17) unstable; urgency=low
* Remove empty /usr/doc directory from package (closes: #121549)
2001-10-05 - Miquel van Smoorenburg <miquels@cistron.nl>
elvis-tiny (1.4-16) unstable; urgency=high
* Change arguments to ln -sf in postinst (closes: #100283,#112124)
* Small adjustements for complete migration to termios
instead of termio (closes: #106099)

See Also

Package Description
elvish_0.11+ds1-3_amd64.deb Friendly and expressive shell
emacs-calfw-howm_1.6+git20170704-1_all.deb calendar framework for Emacs (howm add-on)
emacs-calfw_1.6+git20170704-1_all.deb calendar framework for Emacs
emacs-intl-fonts_1.2.1-10_all.deb fonts to allow multilingual PostScript printing from Emacs
emacs-jabber_0.8.92+git98dc8e-2_all.deb Transition package, emacs-jabber to elpa-jabber
emacs-mozc-bin_2.20.2673.102+dfsg-2_amd64.deb Helper module for emacs-mozc
emacs-mozc_2.20.2673.102+dfsg-2_amd64.deb Mozc for Emacs
emacs-nox_47.0_all.deb GNU Emacs editor (metapackage, without X support)
emacs-window-layout_1.4-1_all.deb window layout manager for emacs
emacs25-lucid_25.2+1-6_amd64.deb GNU Emacs editor (with Lucid GUI support)
emacspeak-espeak-server_47.0+dfsg-1_amd64.deb espeak synthesis server for emacspeak
emacspeak-ss_1.12.1-7_amd64.deb Emacspeak speech servers for several synthesizers
emacspeak_47.0+dfsg-1_all.deb speech output interface to Emacs
email-reminder_0.7.8-3_all.deb Send event reminders by email
embassy-domainatrix_0.1.660-2_amd64.deb Extra EMBOSS commands to handle domain classification file
Advertisement
Advertisement